Download it now!
Bug 67045 - presentation -still- on the wrong screen ...
Summary: presentation -still- on the wrong screen ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-18 13:52 UTC by Michael Meeks
Modified: 2013-11-17 16:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-07-18 13:52:07 UTC
There was still a horrible confusion of display integers etc. in the configuration, in the settings dialog, and in what we actually used.

I've made ~everything consistently using the -1, 0, <screen+1> format and tried to document that nicely;

I added a setting for "external display" to the dialog - such that a user (once they have selected a display) can consciously elect to have the "auto-detected default".

Previously I believe were just using VCL screen 0 in error, which worked for some but not others - depending interestingly on the order of screens (under GNOME) in the applet, which is left-most eg. [ at least that's my hypothesis - perhaps it's hardware related ;-].
Comment 1 Michael Meeks 2013-07-18 14:00:41 UTC
Proposed for 4.1 as: https://gerrit.libreoffice.org/4971 and marking fixed.
Comment 2 Commit Notification 2013-07-18 14:10:21 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee4569efa8322497112e8e951a67b9adca4ac55e

fdo#67045 - fix several nasty screen selection issues with presenter console.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-07-19 08:04:21 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94dd6a449fe3c17f97264dd01bf263eb268ac19d&h=libreoffice-4-1

fdo#67045 - fix several nasty screen selection issues with presenter console.


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-07-19 14:22:06 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b0ba41906f69b2364b11621ba2397f6a15a57e7

fdo#67045 - cleanup slideshow / screen string usage for 4.2.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.